[PC-BSD Commits] r2618 - pcbsd/trunk/mfsroot-overlay/root

svn at pcbsd.org svn at pcbsd.org
Tue Aug 19 18:12:39 PDT 2008


Author: kris
Date: 2008-08-19 18:12:39 -0700 (Tue, 19 Aug 2008)
New Revision: 2618

Modified:
   pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
Log:

Update the backend script to check if the user wanted to use vesa for install



Modified: pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh
===================================================================
--- pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh	2008-08-20 01:12:21 UTC (rev 2617)
+++ pcbsd/trunk/mfsroot-overlay/root/PCBSDStart.sh	2008-08-20 01:12:39 UTC (rev 2618)
@@ -44,9 +44,13 @@
 
 
 # Check for VESA support
-/sbin/sysctl kern.module_path | /usr/bin/grep "VESA" >/dev/null 2>/dev/null
-FOUND="$?"
-if [ "$FOUND" = "0" ]
+xvesa="NO"
+v=`kenv xvesa`
+if [ $? -eq 0 ]; then
+        xvesa=$v
+fi
+
+if [ "$xvesa" = "YES" ]
 then
   cp /usr/local/pcbsd/scripts/cardDetect/XF86Config.compat /etc/X11/xorg.conf
 fi



More information about the Commits mailing list